metric definitions
Create metric definitions approve
Requires scopes: reports:write
POST
/
api
/
metric-definitions
/
{id}
/
approve
Create metric definitions approve
curl --request POST \
--url https://evalgate.com/api/metric-definitions/{id}/approve \
--header 'Authorization: Bearer <token>'import requests
url = "https://evalgate.com/api/metric-definitions/{id}/approve"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://evalgate.com/api/metric-definitions/{id}/approve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metricKey": "<string>",
"version": 123,
"status": "<string>",
"source": "<string>",
"measure": "<string>",
"aggregation": "<string>",
"filters": [
{
"operator": "exists",
"field": "<string>",
"value": true
}
],
"groupBy": [
"<string>"
],
"timeGrain": "<string>",
"windowJson": {
"type": "relative",
"lookbackSeconds": 123,
"timezone": "<string>"
},
"unknownPolicy": "<string>",
"calibrationBoundary": {
"state": "not_applicable"
},
"definitionHash": "<string>",
"parentVersionId": "<string>",
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"approvedBy": "<string>",
"approvedAt": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful response
Show child attributes
Show child attributes
- Option 1
- Option 2
Show child attributes
Show child attributes
- Option 1
- Option 2
- Option 3
- Option 4
Show child attributes
Show child attributes
⌘I
Create metric definitions approve
